Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1603751 - dc3dd: FTBFS in Fedora rawhide
Summary: dc3dd: FTBFS in Fedora rawhide
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: dc3dd
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Adam Miller
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1595702 1763518
Blocks: F29FTBFS
TreeView+ depends on / blocked
 
Reported: 2018-07-19 18:42 UTC by Mohan Boddu
Modified: 2020-01-05 00:40 UTC (History)
3 users (show)

Fixed In Version: dc3dd-7.2.646-9.fc31
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-01-05 00:40:37 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
build.log (deleted)
2018-07-19 18:43 UTC, Mohan Boddu
no flags Details
root.log (deleted)
2018-07-19 18:43 UTC, Mohan Boddu
no flags Details
state.log (deleted)
2018-07-19 18:43 UTC, Mohan Boddu
no flags Details

Description Mohan Boddu 2018-07-19 18:42:50 UTC
dc3dd failed to build from source in Fedora rawhide

https://koji.fedoraproject.org/koji/taskinfo?taskID=28173791


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild
Please fix dc3dd at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
dc3dd will be orphaned. Before branching of Fedora 30,
dc3dd will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Mohan Boddu 2018-07-19 18:43:00 UTC
Created attachment 1461293 [details]
build.log

file build.log too big, will only attach last 32768 bytes

Comment 2 Mohan Boddu 2018-07-19 18:43:03 UTC
Created attachment 1461294 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Mohan Boddu 2018-07-19 18:43:09 UTC
Created attachment 1461295 [details]
state.log

Comment 4 Jan Kurik 2018-08-14 09:46:31 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 29 development cycle.
Changing version to '29'.

Comment 5 Michal Ambroz 2018-08-28 15:53:16 UTC
Seems to be some gcc8 issue compilin gnulib


gcc  -I.      -O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -Wp,-D_GLIBCXX_ASSERTIONS -fexceptions -fstack-protector-strong -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -specs=/usr/lib/rpm/redhat/redhat-annobin-cc1 -m64 -mtune=generic -fasynchronous-unwind-tables -fstack-clash-protection -fcf-protection -c -o freading.o freading.c
freadahead.c: In function 'freadahead':
freadahead.c:69:3: error: #error "Please port gnulib freadahead.c to your platform! Look at the definition of fflush, fread, ungetc on your system, then report this to bug-gnulib."
  #error "Please port gnulib freadahead.c to your platform! Look at the definition of fflush, fread, ungetc on your system, then report this to bug-gnulib."
   ^~~~~
freadahead.c:71:1: warning: control reaches end of non-void function [-Wreturn-type]

https://github.com/fede2cr/slackware_riscv/issues/2
https://bugzilla.redhat.com/show_bug.cgi?id=1595702

Comment 6 Michal Ambroz 2018-09-12 12:17:50 UTC
I have tried to use the gnulib-tool using "gnulib-tool --update" and "gnulib-tool --add-import", but it have not fixed the build issues.

It brought in much more compilation problems even on f28 (where dc3dd normally compiles well with the old embedded gnulib).

https://bugzilla.redhat.com/show_bug.cgi?id=1603751
https://koji.fedoraproject.org/koji/buildinfo?buildID=1140152

Please do you have any advice?

Thank you
Michal Ambroz

Comment 7 Zbigniew Jędrzejewski-Szmek 2018-09-17 07:30:37 UTC
I forgot to write in #1595702: when running 'gnulib-tool --update' in dc3dd, it shows an empty list of modules. That's probably why the update doesn't have the desired effect.

Comment 8 Michal Ambroz 2019-10-20 13:55:40 UTC
I managed to use the patch from Archlinux to make dc3dd to compile again

Comment 9 Fedora Update System 2019-12-19 02:13:54 UTC
FEDORA-2019-f09956e759 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-f09956e759

Comment 10 Fedora Update System 2019-12-20 02:10:50 UTC
dc3dd-7.2.646-9.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-f09956e759

Comment 11 Fedora Update System 2020-01-05 00:40:37 UTC
dc3dd-7.2.646-9.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.